last sync: 2022-May-23 08:52:47 UTC

Azure Policy definition

Azure Synapse Workspace SQL Server should be running TLS version 1.2 or newer

Name Azure Synapse Workspace SQL Server should be running TLS version 1.2 or newer
Azure Portal
Id cb3738a6-82a2-4a18-b87b-15217b9deff4
Version 1.0.0
details on versioning
Category Synapse
Microsoft docs
Description Setting TLS version to 1.2 or newer improves security by ensuring your Azure Synapse workspace SQL server can only be accessed from clients using TLS 1.2 or newer. Using versions of TLS less than 1.2 is not recommended since they have well documented security vulnerabilities.
Mode Indexed
Type BuiltIn
Preview FALSE
Deprecated FALSE
Effect Default: Audit
Allowed: (Audit, Deny, Disabled)
Used RBAC Role none
Rule Aliases IF (1)
Alias Namespace ResourceType DefaultPath Modifiable
Microsoft.Synapse/workspaces/dedicatedSQLminimalTlsSettings/minimalTlsVersion Microsoft.Synapse workspaces/dedicatedSQLminimalTlsSettings properties.minimalTlsVersion true
Rule ResourceTypes
History
Date/Time (UTC ymd) (i) Change type Change detail
2022-04-29 18:06:01 add cb3738a6-82a2-4a18-b87b-15217b9deff4
Used in Initiatives none
JSON